package com.wissamfawaz;

import java.util.Scanner;

import javax.swing.Timer;

import java.awt.event.ActionListener;
import java.awt.event.ActionEvent;

public class Main {
	private int counter;
	
	public Main(int counter) {
		this.counter = counter;
	}

	public static void main(String[] args) {
		int count;
		Scanner scan = new Scanner(System.in);
		
		System.out.println("Enter an initial value for the counter");
		count = scan.nextInt();
		
		Main application = new Main(count);
		application.startCountDown();
		
		scan.close();

	}
	
	private void startCountDown() {
		// Timer timer = new Timer(1000, new EventHandler());
		/*Timer timer = new Timer(1000, new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				if(counter >= 0) {
					System.out.println(counter);
				}
				if(counter == -1) {
					System.out.println("LiftOff!");
				}
				counter--;
			}
		});*/
		Timer timer = new Timer(1000, (e) -> {
			if(counter >= 0) {
				System.out.println(counter);
			}
			if(counter == -1) {
				System.out.println("LiftOff!");
			}
			counter--;
		});
		
		
		timer.setInitialDelay(0);
		timer.start();
		
		
		while(timer.isRunning()) {
			if(counter == -2) {
				timer.stop();
			}
		}
	}
	
	
	private class EventHandler implements ActionListener {
		public void actionPerformed(ActionEvent e) {
			if(counter >= 0) {
				System.out.println(counter);
			}
			if(counter == -1) {
				System.out.println("LiftOff!");
			}
			counter--;
		}
		
	}

}
